<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawer"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/view"
            android:layout_width="wrap_content"
            android:layout_height="0dp" />


        <RelativeLayout
            android:id="@+id/banner_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.youth.banner.Banner
                android:id="@+id/banner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/recommend_top_banner_img" />

            <RelativeLayout
                android:id="@+id/banner_btn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_below="@+id/banner"
                android:layout_marginTop="-24dp">

                <LinearLayout
                    android:id="@+id/indicator_layout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/banner_indicator_one_bg"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/indicator_img"
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_marginStart="16dp"
                        android:src="@mipmap/top_banner_one_img" />

                    <TextView
                        android:id="@+id/indicator_txt"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="8dp"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:text="@string/recommend"
                        android:textColor="@color/black"
                        android:textSize="16dp"
                        android:textStyle="bold" />

                    <androidx.cardview.widget.CardView
                        android:id="@+id/indicator_go_bg"
                        android:layout_width="wrap_content"
                        android:layout_height="26dp"
                        android:layout_marginEnd="16dp"
                        app:cardBackgroundColor="@color/banner_indicator_one_go_bg_color"
                        app:cardCornerRadius="80dp">

                        <TextView
                            android:id="@+id/indicator_go_txt"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:paddingStart="12dp"
                            android:paddingEnd="12dp"
                            android:text="@string/go"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                    </androidx.cardview.widget.CardView>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="4dp"
                    android:layout_alignParentBottom="true"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/indicator_line_one_bg"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginEnd="2dp"
                        android:layout_weight="1"
                        android:background="#7863F9" />

                    <TextView
                        android:id="@+id/indicator_line_tow_bg"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="2dp"
                        android:layout_weight="1"
                        android:background="#1A000000" />

                </LinearLayout>
            </RelativeLayout>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_below="@+id/view"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <androidx.cardview.widget.CardView
                android:id="@+id/menu_btn"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="16dp"
                app:cardBackgroundColor="#F6F4FF"
                app:cardCornerRadius="32dp"
                app:cardElevation="6dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:src="@drawable/menu" />

            </androidx.cardview.widget.CardView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="48dp"
                android:gravity="center_horizontal">

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="32dp"
                    android:layout_marginStart="16dp"
                    app:cardBackgroundColor="#F6F4FF"
                    app:cardCornerRadius="32dp"
                    app:cardElevation="6dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:paddingStart="16dp"
                        android:paddingEnd="16dp"
                        android:text="@string/app_name"
                        android:textColor="@color/black"
                        android:textSize="14dp"
                        android:textStyle="bold" />

                </androidx.cardview.widget.CardView>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/banner_layout"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/loading_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <org.libpag.PAGView
                    android:id="@+id/pag_view"
                    android:layout_width="88dp"
                    android:layout_height="100dp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="loading"
                    android:textColor="#999999"
                    android:textSize="14sp" />

            </LinearLayout>


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:listitem="@layout/main_rv_item" />
        </LinearLayout>

    </RelativeLayout>

    <!--android:layout_gravity="start"-->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:background="#F6F4FF"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingStart="16dp"
            android:paddingTop="48dp"
            android:paddingEnd="16dp"
            android:paddingBottom="10dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="16dp"
                android:paddingTop="10dp"
                android:paddingEnd="16dp"
                android:paddingBottom="10dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:cardCornerRadius="6dp">

                    <ImageView
                        android:layout_width="48dp"
                        android:layout_height="48dp"
                        android:src="@mipmap/journey_app_logo" />

                </androidx.cardview.widget.CardView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:text="@string/app_name"
                    android:textColor="@color/black"
                    android:textSize="16dp"
                    android:textStyle="bold" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/apply_keyboard_btn"
                        android:layout_width="match_parent"
                        android:layout_height="56dp"
                        android:layout_marginTop="16dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="16dp"
                            android:src="@mipmap/keyboard_img" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_marginStart="16dp"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:text="Keyboard settings"
                            android:textColor="@color/black"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/share_btn"
                            android:layout_width="match_parent"
                            android:layout_height="56dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="16dp"
                                android:src="@mipmap/shate_img" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginStart="16dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical"
                                android:text="Share"
                                android:textColor="@color/black"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/privacy_btn"
                            android:layout_width="match_parent"
                            android:layout_height="56dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="16dp"
                                android:src="@mipmap/privacy_img" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginStart="16dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical"
                                android:text="Privacy"
                                android:textColor="@color/black"
                                android:textStyle="bold" />

                        </LinearLayout>

                    </LinearLayout>

                </LinearLayout>

            </RelativeLayout>

        </LinearLayout>

        <RelativeLayout
            android:id="@+id/dialog_step_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#99000000"
            android:visibility="gone">

            <LinearLayout
                android:id="@+id/activate_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:background="@drawable/draw_activate_layout_bg"
                android:orientation="vertical"
                android:visibility="visible">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="16dp"
                    android:gravity="center"
                    android:text="Activate Keyboard Journey"
                    android:textColor="@color/black"
                    android:textSize="14dp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:layout_margin="16dp">

                    <TextView
                        android:id="@+id/step_1_btn"
                        android:layout_width="0dp"
                        android:layout_height="46dp"
                        android:layout_marginEnd="4dp"
                        android:layout_weight="1"
                        android:background="@drawable/drw_gray_select_bg"
                        android:gravity="center"
                        android:text="Step 1:Select"
                        android:textColor="#999999"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/step_2_btn"
                        android:layout_width="0dp"
                        android:layout_height="46dp"
                        android:layout_marginStart="4dp"
                        android:layout_weight="1"
                        android:background="@mipmap/activate_btn_bg"
                        android:gravity="center"
                        android:text="Step 2:Enabled"
                        android:textColor="@color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                </LinearLayout>
            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>
</androidx.drawerlayout.widget.DrawerLayout>